image: docker:stable

services:
  - docker:dind

before_script:
  - docker info
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com

build:
  stage: build
  script:
  - docker build -t uploader .
  - docker tag uploader registry.gitlab.com/manuel.deval/uploader:latest
  - docker push registry.gitlab.com/manuel.deval/uploader:latest

deploy:
  stage: deploy
  script:
  - docker info